Bug 1484476 (CVE-2017-15596) - CVE-2017-15596 xsa235 xen: add-to-physmap error paths fail to release lock on ARM
Summary: CVE-2017-15596 xsa235 xen: add-to-physmap error paths fail to release lock on...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-15596
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170823,reported=2...
Depends On: 1503678
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-23 17:14 UTC by Pedro Sampaio
Modified: 2019-06-08 22:15 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:21:58 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-08-23 17:14:12 UTC
When dealing with the grant map space of add-to-physmap operations,
ARM specific code recognizes a number of error conditions, but fails
to release a lock being held on the respective exit paths.

A malicious guest administrator can cause a denial of service.
Specifically, prevent use of a physical CPU for an indefinite period
of time.

Upstream patch:

http://seclists.org/oss-sec/2017/q3/att-341/xsa235.patch

References:

http://seclists.org/oss-sec/2017/q3/341

Comment 1 Pedro Sampaio 2017-08-23 17:18:29 UTC
Only affects ARM architectures.

Comment 3 Adam Mariš 2017-10-18 14:28:20 UTC
External References:

https://xenbits.xen.org/xsa/advisory-235.html

Comment 4 Adam Mariš 2017-10-18 14:30:18 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1503678]


Note You need to log in before you can comment on or make changes to this bug.